/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02258
 |         DRUG ABUSE TREATMENT OUTCOME STUDY (DATOS), 1991-1994:
 |                            [UNITED STATES]
 |                 (DATASET 0010: 5-YEAR FOLLOW-UP DATA)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (QA1 <= -1) THEN QA1 = .;
   IF (QA2 <= -1) THEN QA2 = .;
   IF (QA3 <= -1) THEN QA3 = .;
   IF (QA4 <= -1) THEN QA4 = .;
   IF (QA4A <= -1) THEN QA4A = .;
   IF (QA5 <= -1) THEN QA5 = .;
   IF (QA6 <= -1) THEN QA6 = .;
   IF (QA7 <= -1) THEN QA7 = .;
   IF (QA8 <= -1) THEN QA8 = .;
   IF (QA9_0 <= -1) THEN QA9_0 = .;
   IF (QA9_1 <= -1) THEN QA9_1 = .;
   IF (QA9_2 <= -1) THEN QA9_2 = .;
   IF (QA9_3 <= -1) THEN QA9_3 = .;
   IF (QA9_4 <= -1) THEN QA9_4 = .;
   IF (QA9_5 <= -1) THEN QA9_5 = .;
   IF (QA9A1 <= -1) THEN QA9A1 = .;
   IF (QA9B1 <= -1) THEN QA9B1 = .;
   IF (QA9C1 <= -1) THEN QA9C1 = .;
   IF (QA9D1 <= -1) THEN QA9D1 = .;
   IF (QA9A2 <= -1) THEN QA9A2 = .;
   IF (QA9B2 <= -1) THEN QA9B2 = .;
   IF (QA9C2 <= -1) THEN QA9C2 = .;
   IF (QA9D2 <= -1) THEN QA9D2 = .;
   IF (QA9A3 <= -1) THEN QA9A3 = .;
   IF (QA9B3 <= -1) THEN QA9B3 = .;
   IF (QA9C3 <= -1) THEN QA9C3 = .;
   IF (QA9D3 <= -1) THEN QA9D3 = .;
   IF (QA9A4 <= -1) THEN QA9A4 = .;
   IF (QA9B4 <= -1) THEN QA9B4 = .;
   IF (QA9C4 <= -1) THEN QA9C4 = .;
   IF (QA9D4 <= -1) THEN QA9D4 = .;
   IF (QA9A5 <= -1) THEN QA9A5 = .;
   IF (QA9B5 <= -1) THEN QA9B5 = .;
   IF (QA9C5 <= -1) THEN QA9C5 = .;
   IF (QA9D5 <= -1) THEN QA9D5 = .;
   IF (QA10 <= -1) THEN QA10 = .;
   IF (QA11A <= -1) THEN QA11A = .;
   IF (QA11B <= -1) THEN QA11B = .;
   IF (QA11C <= -1) THEN QA11C = .;
   IF (QA12A <= -1) THEN QA12A = .;
   IF (QA12B <= -1) THEN QA12B = .;
   IF (QA12C <= -1) THEN QA12C = .;
   IF (QA12D <= -1) THEN QA12D = .;
   IF (QA12E <= -1) THEN QA12E = .;
   IF (QA12F <= -1) THEN QA12F = .;
   IF (QA12G <= -1) THEN QA12G = .;
   IF (QA13 <= -1) THEN QA13 = .;
   IF (QA14_0 <= -1) THEN QA14_0 = .;
   IF (QA14_1 <= -1) THEN QA14_1 = .;
   IF (QA14_2 <= -1) THEN QA14_2 = .;
   IF (QA14_3 <= -1) THEN QA14_3 = .;
   IF (QA14_4 <= -1) THEN QA14_4 = .;
   IF (QA14_5 <= -1) THEN QA14_5 = .;
   IF (QA14_6 <= -1) THEN QA14_6 = .;
   IF (QA14_7 <= -1) THEN QA14_7 = .;
   IF (QA14_8 <= -1) THEN QA14_8 = .;
   IF (QA14_9 <= -1) THEN QA14_9 = .;
   IF (QD1 <= -1) THEN QD1 = .;
   IF (QD1A <= -1) THEN QD1A = .;
   IF (QD2 <= -1) THEN QD2 = .;
   IF (QD2A <= -1) THEN QD2A = .;
   IF (QD3_0 <= -1) THEN QD3_0 = .;
   IF (QD3_1 <= -1) THEN QD3_1 = .;
   IF (QD3_2 <= -1) THEN QD3_2 = .;
   IF (QD3_3 <= -1) THEN QD3_3 = .;
   IF (QD3_4 <= -1) THEN QD3_4 = .;
   IF (QD3_5 <= -1) THEN QD3_5 = .;
   IF (QD3_6 <= -1) THEN QD3_6 = .;
   IF (QD4 <= -1) THEN QD4 = .;
   IF (QD4A1 <= -1) THEN QD4A1 = .;
   IF (QD4A2 <= -1) THEN QD4A2 = .;
   IF (QD4A3 <= -1) THEN QD4A3 = .;
   IF (QD4A4 <= -1) THEN QD4A4 = .;
   IF (QD4A5 <= -1) THEN QD4A5 = .;
   IF (QD4A6 <= -1) THEN QD4A6 = .;
   IF (QD4A7 <= -1) THEN QD4A7 = .;
   IF (QD4A8 <= -1) THEN QD4A8 = .;
   IF (QD4A9 <= -1) THEN QD4A9 = .;
   IF (QD4A10 <= -1) THEN QD4A10 = .;
   IF (QD4A11 <= -1) THEN QD4A11 = .;
   IF (QD5 <= -1) THEN QD5 = .;
   IF (QD6 <= -1) THEN QD6 = .;
   IF (QD6A <= -1) THEN QD6A = .;
   IF (QD6B <= -1) THEN QD6B = .;
   IF (QD6C <= -1) THEN QD6C = .;
   IF (QD6D <= -1) THEN QD6D = .;
   IF (QD7 <= -1) THEN QD7 = .;
   IF (QE1 <= -1) THEN QE1 = .;
   IF (QE2 <= -1) THEN QE2 = .;
   IF (QE3 <= -1) THEN QE3 = .;
   IF (QE4 <= -1) THEN QE4 = .;
   IF (QE5 <= -1) THEN QE5 = .;
   IF (QE5A <= -1) THEN QE5A = .;
   IF (QE6 <= -1) THEN QE6 = .;
   IF (QE7 <= -1) THEN QE7 = .;
   IF (QE8 <= -1) THEN QE8 = .;
   IF (QE9 <= -1) THEN QE9 = .;
   IF (QE10 <= -1) THEN QE10 = .;
   IF (QE11 <= -1) THEN QE11 = .;
   IF (QE12 <= -1) THEN QE12 = .;
   IF (QE13 <= -1) THEN QE13 = .;
   IF (QE14 <= -1) THEN QE14 = .;
   IF (QE14A <= -1) THEN QE14A = .;
   IF (QE15_0 <= -1) THEN QE15_0 = .;
   IF (QE15_1 <= -1) THEN QE15_1 = .;
   IF (QE15_2 <= -1) THEN QE15_2 = .;
   IF (QE15_3 <= -1) THEN QE15_3 = .;
   IF (QE16_20 <= -1) THEN QE16_20 = .;
   IF (QE17_20 <= -1) THEN QE17_20 = .;
   IF (QE18_20 <= -1) THEN QE18_20 = .;
   IF (QE19_20 <= -1) THEN QE19_20 = .;
   IF (QE20_20 <= -1) THEN QE20_20 = .;
   IF (QE21_20 <= -1) THEN QE21_20 = .;
   IF (QE16_30 <= -1) THEN QE16_30 = .;
   IF (QE17_30 <= -1) THEN QE17_30 = .;
   IF (QE18_30 <= -1) THEN QE18_30 = .;
   IF (QE19_30 <= -1) THEN QE19_30 = .;
   IF (QE20_30 <= -1) THEN QE20_30 = .;
   IF (QE21_30 <= -1) THEN QE21_30 = .;
   IF (QE16_31 <= -1) THEN QE16_31 = .;
   IF (QE20_31 <= -1) THEN QE20_31 = .;
   IF (QE21_31 <= -1) THEN QE21_31 = .;
   IF (QE16_32 <= -1) THEN QE16_32 = .;
   IF (QE20_32 <= -1) THEN QE20_32 = .;
   IF (QE21_32 <= -1) THEN QE21_32 = .;
   IF (QE16_40 <= -1) THEN QE16_40 = .;
   IF (QE17_40 <= -1) THEN QE17_40 = .;
   IF (QE18_40 <= -1) THEN QE18_40 = .;
   IF (QE19_40 <= -1) THEN QE19_40 = .;
   IF (QE20_40 <= -1) THEN QE20_40 = .;
   IF (QE21_40 <= -1) THEN QE21_40 = .;
   IF (QE16_41 <= -1) THEN QE16_41 = .;
   IF (QE20_41 <= -1) THEN QE20_41 = .;
   IF (QE21_41 <= -1) THEN QE21_41 = .;
   IF (QE16_42 <= -1) THEN QE16_42 = .;
   IF (QE20_42 <= -1) THEN QE20_42 = .;
   IF (QE21_42 <= -1) THEN QE21_42 = .;
   IF (QE16_50 <= -1) THEN QE16_50 = .;
   IF (QE17_50 <= -1) THEN QE17_50 = .;
   IF (QE18_50 <= -1) THEN QE18_50 = .;
   IF (QE19_50 <= -1) THEN QE19_50 = .;
   IF (QE20_50 <= -1) THEN QE20_50 = .;
   IF (QE21_50 <= -1) THEN QE21_50 = .;
   IF (QE16_51 <= -1) THEN QE16_51 = .;
   IF (QE20_51 <= -1) THEN QE20_51 = .;
   IF (QE21_51 <= -1) THEN QE21_51 = .;
   IF (QE16_60 <= -1) THEN QE16_60 = .;
   IF (QE17_60 <= -1) THEN QE17_60 = .;
   IF (QE18_60 <= -1) THEN QE18_60 = .;
   IF (QE19_60 <= -1) THEN QE19_60 = .;
   IF (QE20_60 <= -1) THEN QE20_60 = .;
   IF (QE21_60 <= -1) THEN QE21_60 = .;
   IF (QE16_61 <= -1) THEN QE16_61 = .;
   IF (QE17_61 <= -1) THEN QE17_61 = .;
   IF (QE20_61 <= -1) THEN QE20_61 = .;
   IF (QE21_61 <= -1) THEN QE21_61 = .;
   IF (QE16_62 <= -1) THEN QE16_62 = .;
   IF (QE17_62 <= -1) THEN QE17_62 = .;
   IF (QE20_62 <= -1) THEN QE20_62 = .;
   IF (QE21_62 <= -1) THEN QE21_62 = .;
   IF (QE16_70 <= -1) THEN QE16_70 = .;
   IF (QE17_70 <= -1) THEN QE17_70 = .;
   IF (QE18_70 <= -1) THEN QE18_70 = .;
   IF (QE19_70 <= -1) THEN QE19_70 = .;
   IF (QE20_70 <= -1) THEN QE20_70 = .;
   IF (QE21_70 <= -1) THEN QE21_70 = .;
   IF (QE16_71 <= -1) THEN QE16_71 = .;
   IF (QE16_72 <= -1) THEN QE16_72 = .;
   IF (QE16_73 <= -1) THEN QE16_73 = .;
   IF (QE16_74 <= -1) THEN QE16_74 = .;
   IF (QE16_75 <= -1) THEN QE16_75 = .;
   IF (QE16_80 <= -1) THEN QE16_80 = .;
   IF (QE17_80 <= -1) THEN QE17_80 = .;
   IF (QE18_80 <= -1) THEN QE18_80 = .;
   IF (QE19_80 <= -1) THEN QE19_80 = .;
   IF (QE20_80 <= -1) THEN QE20_80 = .;
   IF (QE21_80 <= -1) THEN QE21_80 = .;
   IF (QE16_81 <= -1) THEN QE16_81 = .;
   IF (QE20_81 <= -1) THEN QE20_81 = .;
   IF (QE21_81 <= -1) THEN QE21_81 = .;
   IF (QE16_90 <= -1) THEN QE16_90 = .;
   IF (QE17_90 <= -1) THEN QE17_90 = .;
   IF (QE18_90 <= -1) THEN QE18_90 = .;
   IF (QE19_90 <= -1) THEN QE19_90 = .;
   IF (QE20_90 <= -1) THEN QE20_90 = .;
   IF (QE21_90 <= -1) THEN QE21_90 = .;
   IF (QE16_100 <= -1) THEN QE16_100 = .;
   IF (QE20_100 <= -1) THEN QE20_100 = .;
   IF (QE21_100 <= -1) THEN QE21_100 = .;
   IF (QE20_101 <= -1) THEN QE20_101 = .;
   IF (QE21_101 <= -1) THEN QE21_101 = .;
   IF (QE20_102 <= -1) THEN QE20_102 = .;
   IF (QE21_102 <= -1) THEN QE21_102 = .;
   IF (QE16_110 <= -1) THEN QE16_110 = .;
   IF (QE20_110 <= -1) THEN QE20_110 = .;
   IF (QE21_110 <= -1) THEN QE21_110 = .;
   IF (QE22_20 <= -1) THEN QE22_20 = .;
   IF (QE22_30 <= -1) THEN QE22_30 = .;
   IF (QE22_31 <= -1) THEN QE22_31 = .;
   IF (QE22_32 <= -1) THEN QE22_32 = .;
   IF (QE22_40 <= -1) THEN QE22_40 = .;
   IF (QE22_41 <= -1) THEN QE22_41 = .;
   IF (QE22_42 <= -1) THEN QE22_42 = .;
   IF (QE22_50 <= -1) THEN QE22_50 = .;
   IF (QE22_51 <= -1) THEN QE22_51 = .;
   IF (QE22_60 <= -1) THEN QE22_60 = .;
   IF (QE22_61 <= -1) THEN QE22_61 = .;
   IF (QE22_62 <= -1) THEN QE22_62 = .;
   IF (QE22_70 <= -1) THEN QE22_70 = .;
   IF (QE22_71 <= -1) THEN QE22_71 = .;
   IF (QE22_72 <= -1) THEN QE22_72 = .;
   IF (QE22_73 <= -1) THEN QE22_73 = .;
   IF (QE22_74 <= -1) THEN QE22_74 = .;
   IF (QE22_75 <= -1) THEN QE22_75 = .;
   IF (QE22_80 <= -1) THEN QE22_80 = .;
   IF (QE22_81 <= -1) THEN QE22_81 = .;
   IF (QE22_90 <= -1) THEN QE22_90 = .;
   IF (QE22_100 <= -1) THEN QE22_100 = .;
   IF (QE22_101 <= -1) THEN QE22_101 = .;
   IF (QE22_102 <= -1) THEN QE22_102 = .;
   IF (QE22_110 <= -1) THEN QE22_110 = .;
   IF (QE23 <= -1) THEN QE23 = .;
   IF (QE24 <= -1) THEN QE24 = .;
   IF (QE25 <= -1) THEN QE25 = .;
   IF (QE26 <= -1) THEN QE26 = .;
   IF (QE27 <= -1) THEN QE27 = .;
   IF (QE28 <= -1) THEN QE28 = .;
   IF (QE29 <= -1) THEN QE29 = .;
   IF (QE29A <= -1) THEN QE29A = .;
   IF (QE29X <= -1) THEN QE29X = .;
   IF (QE29XA <= -1) THEN QE29XA = .;
   IF (QE30 <= -1) THEN QE30 = .;
   IF (QE30A1 <= -1) THEN QE30A1 = .;
   IF (QE30A2 <= -1) THEN QE30A2 = .;
   IF (QE30A3 <= -1) THEN QE30A3 = .;
   IF (QE30A4 <= -1) THEN QE30A4 = .;
   IF (QE30A5 <= -1) THEN QE30A5 = .;
   IF (QE30A6 <= -1) THEN QE30A6 = .;
   IF (QE31 <= -1) THEN QE31 = .;
   IF (QE31A <= -1) THEN QE31A = .;
   IF (QE31B <= -1) THEN QE31B = .;
   IF (QE32_1 <= -1) THEN QE32_1 = .;
   IF (QE32_2 <= -1) THEN QE32_2 = .;
   IF (QE32_3 <= -1) THEN QE32_3 = .;
   IF (QE32_4 <= -1) THEN QE32_4 = .;
   IF (QE32_5 <= -1) THEN QE32_5 = .;
   IF (QE32_6 <= -1) THEN QE32_6 = .;
   IF (QE33A <= -1) THEN QE33A = .;
   IF (QE33B <= -1) THEN QE33B = .;
   IF (QE33C <= -1) THEN QE33C = .;
   IF (QE33D <= -1) THEN QE33D = .;
   IF (QE33E <= -1) THEN QE33E = .;
   IF (QE33F <= -1) THEN QE33F = .;
   IF (QE33G <= -1) THEN QE33G = .;
   IF (QE34 <= -1) THEN QE34 = .;
   IF (QE35 <= -1) THEN QE35 = .;
   IF (QE36 <= -1) THEN QE36 = .;
   IF (QE37 <= -1) THEN QE37 = .;
   IF (QE38 <= -1) THEN QE38 = .;
   IF (QE39 <= -1) THEN QE39 = .;
   IF (QE40 <= -1) THEN QE40 = .;
   IF (QE41 <= -1) THEN QE41 = .;
   IF (QE41_00 <= -1) THEN QE41_00 = .;
   IF (QE41_10 <= -1) THEN QE41_10 = .;
   IF (QE41_20 <= -1) THEN QE41_20 = .;
   IF (QE41_30 <= -1) THEN QE41_30 = .;
   IF (QE41_40 <= -1) THEN QE41_40 = .;
   IF (QE41_50 <= -1) THEN QE41_50 = .;
   IF (QE41_60 <= -1) THEN QE41_60 = .;
   IF (QE41_70 <= -1) THEN QE41_70 = .;
   IF (QE41_80 <= -1) THEN QE41_80 = .;
   IF (QE41A_1 <= -1) THEN QE41A_1 = .;
   IF (QE41A_001 <= -1) THEN QE41A_001 = .;
   IF (QE41A_101 <= -1) THEN QE41A_101 = .;
   IF (QE41A_201 <= -1) THEN QE41A_201 = .;
   IF (QE41A_301 <= -1) THEN QE41A_301 = .;
   IF (QE41A_401 <= -1) THEN QE41A_401 = .;
   IF (QE41A_501 <= -1) THEN QE41A_501 = .;
   IF (QE41A_601 <= -1) THEN QE41A_601 = .;
   IF (QE41A_701 <= -1) THEN QE41A_701 = .;
   IF (QE41A_801 <= -1) THEN QE41A_801 = .;
   IF (QE41A_2 <= -1) THEN QE41A_2 = .;
   IF (QE41A_002 <= -1) THEN QE41A_002 = .;
   IF (QE41A_102 <= -1) THEN QE41A_102 = .;
   IF (QE41A_202 <= -1) THEN QE41A_202 = .;
   IF (QE41A_302 <= -1) THEN QE41A_302 = .;
   IF (QE41A_402 <= -1) THEN QE41A_402 = .;
   IF (QE41A_502 <= -1) THEN QE41A_502 = .;
   IF (QE41A_602 <= -1) THEN QE41A_602 = .;
   IF (QE41A_702 <= -1) THEN QE41A_702 = .;
   IF (QE41A_802 <= -1) THEN QE41A_802 = .;
   IF (QE41A_3 <= -1) THEN QE41A_3 = .;
   IF (QE41A_003 <= -1) THEN QE41A_003 = .;
   IF (QE41A_103 <= -1) THEN QE41A_103 = .;
   IF (QE41A_203 <= -1) THEN QE41A_203 = .;
   IF (QE41A_303 <= -1) THEN QE41A_303 = .;
   IF (QE41A_403 <= -1) THEN QE41A_403 = .;
   IF (QE41A_503 <= -1) THEN QE41A_503 = .;
   IF (QE41A_603 <= -1) THEN QE41A_603 = .;
   IF (QE41A_703 <= -1) THEN QE41A_703 = .;
   IF (QE41A_803 <= -1) THEN QE41A_803 = .;
   IF (QE42A <= -1) THEN QE42A = .;
   IF (QE42B <= -1) THEN QE42B = .;
   IF (QE42C <= -1) THEN QE42C = .;
   IF (QE42D <= -1) THEN QE42D = .;
   IF (QE42E <= -1) THEN QE42E = .;
   IF (QE42F <= -1) THEN QE42F = .;
   IF (QE42G <= -1) THEN QE42G = .;
   IF (QE42H <= -1) THEN QE42H = .;
   IF (QE42I <= -1) THEN QE42I = .;
   IF (QE42J <= -1) THEN QE42J = .;
   IF (QE42K <= -1) THEN QE42K = .;
   IF (QE42L <= -1) THEN QE42L = .;
   IF (QE42M <= -1) THEN QE42M = .;
   IF (QE42N <= -1) THEN QE42N = .;
   IF (QE42O <= -1) THEN QE42O = .;
   IF (QE42P <= -1) THEN QE42P = .;
   IF (QE42Q <= -1) THEN QE42Q = .;
   IF (QE42R <= -1) THEN QE42R = .;
   IF (QE42S <= -1) THEN QE42S = .;
   IF (QE42T <= -1) THEN QE42T = .;
   IF (QE43_1 <= -1) THEN QE43_1 = .;
   IF (QE43A_1 <= -1) THEN QE43A_1 = .;
   IF (QE43B_1 <= -1) THEN QE43B_1 = .;
   IF (QE43_2 <= -1) THEN QE43_2 = .;
   IF (QE43A_2 <= -1) THEN QE43A_2 = .;
   IF (QE43B_2 <= -1) THEN QE43B_2 = .;
   IF (QE43_3 <= -1) THEN QE43_3 = .;
   IF (QE43A_3 <= -1) THEN QE43A_3 = .;
   IF (QE43B_3 <= -1) THEN QE43B_3 = .;
   IF (QE44 <= -1) THEN QE44 = .;
   IF (QE45 <= -1) THEN QE45 = .;
   IF (QE46 <= -1) THEN QE46 = .;
   IF (QE47 <= -1) THEN QE47 = .;
   IF (QE48 <= -1) THEN QE48 = .;
   IF (QE49 <= -1) THEN QE49 = .;
   IF (QE50A <= -1) THEN QE50A = .;
   IF (QE50B <= -1) THEN QE50B = .;
   IF (QE50C <= -1) THEN QE50C = .;
   IF (QE50D <= -1) THEN QE50D = .;
   IF (QE51 <= -1) THEN QE51 = .;
   IF (QE52 <= -1) THEN QE52 = .;
   IF (QE53 <= -1) THEN QE53 = .;
   IF (QF1 <= -1) THEN QF1 = .;
   IF (QF1A <= -1) THEN QF1A = .;
   IF (QF1B <= -1) THEN QF1B = .;
   IF (QF1C <= -1) THEN QF1C = .;
   IF (QF1D <= -1) THEN QF1D = .;
   IF (QF2 <= -1) THEN QF2 = .;
   IF (QF2A <= -1) THEN QF2A = .;
   IF (QF2B <= -1) THEN QF2B = .;
   IF (QF2C <= -1) THEN QF2C = .;
   IF (QF3 <= -1) THEN QF3 = .;
   IF (QF3A <= -1) THEN QF3A = .;
   IF (QF3B <= -1) THEN QF3B = .;
   IF (QF4 <= -1) THEN QF4 = .;
   IF (QF4A <= -1) THEN QF4A = .;
   IF (QF4B <= -1) THEN QF4B = .;
   IF (QF5 <= -1) THEN QF5 = .;
   IF (QF5A <= -1) THEN QF5A = .;
   IF (QF5B <= -1) THEN QF5B = .;
   IF (QF6 <= -1) THEN QF6 = .;
   IF (QF6A <= -1) THEN QF6A = .;
   IF (QF6B <= -1) THEN QF6B = .;
   IF (QF7 <= -1) THEN QF7 = .;
   IF (QF7A <= -1) THEN QF7A = .;
   IF (QF7B <= -1) THEN QF7B = .;
   IF (QF8 <= -1) THEN QF8 = .;
   IF (QF9 <= -1) THEN QF9 = .;
   IF (QF9A <= -1) THEN QF9A = .;
   IF (QF10 <= -1) THEN QF10 = .;
   IF (QF11 <= -1) THEN QF11 = .;
   IF (QF11A <= -1) THEN QF11A = .;
   IF (QF12 <= -1) THEN QF12 = .;
   IF (QF12B <= -1) THEN QF12B = .;
   IF (QF13 <= -1) THEN QF13 = .;
   IF (QF14 <= -1) THEN QF14 = .;
   IF (QF15 <= -1) THEN QF15 = .;
   IF (QF16 <= -1) THEN QF16 = .;
   IF (QF17 <= -1) THEN QF17 = .;
   IF (QF18 <= -1) THEN QF18 = .;
   IF (QF19 <= -1) THEN QF19 = .;
   IF (QF20 <= -1) THEN QF20 = .;
   IF (QF21 <= -1) THEN QF21 = .;
   IF (QF22 <= -1) THEN QF22 = .;
   IF (QG1 <= -1) THEN QG1 = .;
   IF (QG1A <= -1) THEN QG1A = .;
   IF (QG2_1 <= -1) THEN QG2_1 = .;
   IF (QG3_1 <= -1) THEN QG3_1 = .;
   IF (QG5_1 <= -1) THEN QG5_1 = .;
   IF (QG2_2 <= -1) THEN QG2_2 = .;
   IF (QG3_2 <= -1) THEN QG3_2 = .;
   IF (QG5_2 <= -1) THEN QG5_2 = .;
   IF (QG2_3 <= -1) THEN QG2_3 = .;
   IF (QG3_3 <= -1) THEN QG3_3 = .;
   IF (QG5_3 <= -1) THEN QG5_3 = .;
   IF (QG2_4 <= -1) THEN QG2_4 = .;
   IF (QG3_4 <= -1) THEN QG3_4 = .;
   IF (QG5_4 <= -1) THEN QG5_4 = .;
   IF (QG2_5 <= -1) THEN QG2_5 = .;
   IF (QG3_5 <= -1) THEN QG3_5 = .;
   IF (QG5_5 <= -1) THEN QG5_5 = .;
   IF (QG2_6 <= -1) THEN QG2_6 = .;
   IF (QG3_6 <= -1) THEN QG3_6 = .;
   IF (QG5_6 <= -1) THEN QG5_6 = .;
   IF (QG2_7 <= -1) THEN QG2_7 = .;
   IF (QG3_7 <= -1) THEN QG3_7 = .;
   IF (QG5_7 <= -1) THEN QG5_7 = .;
   IF (QG2_8 <= -1) THEN QG2_8 = .;
   IF (QG3_8 <= -1) THEN QG3_8 = .;
   IF (QG5_8 <= -1) THEN QG5_8 = .;
   IF (QG2_9 <= -1) THEN QG2_9 = .;
   IF (QG3_9 <= -1) THEN QG3_9 = .;
   IF (QG5_9 <= -1) THEN QG5_9 = .;
   IF (QG2_10 <= -1) THEN QG2_10 = .;
   IF (QG3_10 <= -1) THEN QG3_10 = .;
   IF (QG5_10 <= -1) THEN QG5_10 = .;
   IF (QG2_11 <= -1) THEN QG2_11 = .;
   IF (QG3_11 <= -1) THEN QG3_11 = .;
   IF (QG5_11 <= -1) THEN QG5_11 = .;
   IF (QG2_12 <= -1) THEN QG2_12 = .;
   IF (QG3_12 <= -1) THEN QG3_12 = .;
   IF (QG5_12 <= -1) THEN QG5_12 = .;
   IF (QG6 <= -1) THEN QG6 = .;
   IF (QG6A <= -1) THEN QG6A = .;
   IF (QG7 <= -1) THEN QG7 = .;
   IF (QG7A <= -1) THEN QG7A = .;
   IF (QG8 <= -1) THEN QG8 = .;
   IF (QG8B <= -1) THEN QG8B = .;
   IF (QG9 <= -1) THEN QG9 = .;
   IF (QG9A <= -1) THEN QG9A = .;
   IF (QG10_1A <= -1) THEN QG10_1A = .;
   IF (QG10_1B <= -1) THEN QG10_1B = .;
   IF (QG10_2A <= -1) THEN QG10_2A = .;
   IF (QG10_2B <= -1) THEN QG10_2B = .;
   IF (QG10_3A <= -1) THEN QG10_3A = .;
   IF (QG10_3B <= -1) THEN QG10_3B = .;
   IF (QG10_4A <= -1) THEN QG10_4A = .;
   IF (QG10_4B <= -1) THEN QG10_4B = .;
   IF (QG10_5A <= -1) THEN QG10_5A = .;
   IF (QG10_5B <= -1) THEN QG10_5B = .;
   IF (QG10_6A <= -1) THEN QG10_6A = .;
   IF (QG10_6B <= -1) THEN QG10_6B = .;
   IF (QG10_7A <= -1) THEN QG10_7A = .;
   IF (QG10_7B <= -1) THEN QG10_7B = .;
   IF (QG10_8A <= -1) THEN QG10_8A = .;
   IF (QG10_8B <= -1) THEN QG10_8B = .;
   IF (QG10_9A <= -1) THEN QG10_9A = .;
   IF (QG10_9B <= -1) THEN QG10_9B = .;
   IF (QG10_10A <= -1) THEN QG10_10A = .;
   IF (QG10_10B <= -1) THEN QG10_10B = .;
   IF (QH1 <= -1) THEN QH1 = .;
   IF (QH2 <= -1) THEN QH2 = .;
   IF (QH2A <= -1) THEN QH2A = .;
   IF (QH2D <= -1) THEN QH2D = .;
   IF (QH3 <= -1) THEN QH3 = .;
   IF (QH3B <= -1) THEN QH3B = .;
   IF (QH3B1 <= -1) THEN QH3B1 = .;
   IF (QH4 <= -1) THEN QH4 = .;
   IF (QH4B1 <= -1) THEN QH4B1 = .;
   IF (QH4B2 <= -1) THEN QH4B2 = .;
   IF (QH4B3 <= -1) THEN QH4B3 = .;
   IF (QH4B4 <= -1) THEN QH4B4 = .;
   IF (QH4B5 <= -1) THEN QH4B5 = .;
   IF (QH4B6 <= -1) THEN QH4B6 = .;
   IF (QH4B7 <= -1) THEN QH4B7 = .;
   IF (QH6 <= -1) THEN QH6 = .;
   IF (QH7 <= -1) THEN QH7 = .;
   IF (QH8 <= -1) THEN QH8 = .;
   IF (QH9 <= -1) THEN QH9 = .;
   IF (QH9A <= -1) THEN QH9A = .;
   IF (QH10 <= -1) THEN QH10 = .;
   IF (QH10B <= -1) THEN QH10B = .;
   IF (QH10B1 <= -1) THEN QH10B1 = .;
   IF (QH11_A <= -1.00) THEN QH11_A = .;
   IF (QH11_F <= -1) THEN QH11_F = .;
   IF (QH12 <= -1) THEN QH12 = .;
   IF (QH12B <= -1) THEN QH12B = .;
   IF (QH13 <= -1) THEN QH13 = .;
   IF (QH14 <= -1) THEN QH14 = .;
   IF (QJ1A <= -1) THEN QJ1A = .;
   IF (QJ2A <= -1) THEN QJ2A = .;
   IF (QJ1B <= -1) THEN QJ1B = .;
   IF (QJ2B <= -1) THEN QJ2B = .;
   IF (QJ1C <= -1) THEN QJ1C = .;
   IF (QJ2C <= -1) THEN QJ2C = .;
   IF (QJ1D <= -1) THEN QJ1D = .;
   IF (QJ2D <= -1) THEN QJ2D = .;
   IF (QJ1E <= -1) THEN QJ1E = .;
   IF (QJ2E <= -1) THEN QJ2E = .;
   IF (QJ1F <= -1) THEN QJ1F = .;
   IF (QJ2F <= -1) THEN QJ2F = .;
   IF (QJ2G <= -1) THEN QJ2G = .;
   IF (QJ3 <= -1) THEN QJ3 = .;
   IF (QJ4 <= -1) THEN QJ4 = .;
   IF (QJ4A <= -1) THEN QJ4A = .;
   IF (QJ5 <= -1) THEN QJ5 = .;
   IF (QJ6 <= -1) THEN QJ6 = .;
   IF (QJ7 <= -1) THEN QJ7 = .;
   IF (QJ8 <= -1) THEN QJ8 = .;
   IF (QJ9 <= -1) THEN QJ9 = .;
   IF (QJ9B <= -1) THEN QJ9B = .;
   IF (QJ10 <= -1) THEN QJ10 = .;
   IF (QK1 <= -1) THEN QK1 = .;
   IF (QK2 <= -1) THEN QK2 = .;
   IF (QK3 <= -1) THEN QK3 = .;
   IF (QK4 <= -1) THEN QK4 = .;
   IF (QK4A <= -1) THEN QK4A = .;
   IF (QK4B <= -1) THEN QK4B = .;
   IF (QK4C1 <= -1) THEN QK4C1 = .;
   IF (QK4C2 <= -1) THEN QK4C2 = .;
   IF (QK4C3 <= -1) THEN QK4C3 = .;
   IF (QK4C4 <= -1) THEN QK4C4 = .;
   IF (QK5 <= -1) THEN QK5 = .;
   IF (QK6 <= -1) THEN QK6 = .;
   IF (QK7 <= -1) THEN QK7 = .;
   IF (QK7A <= -1) THEN QK7A = .;
   IF (QK8 <= -1) THEN QK8 = .;
   IF (QK8A <= -1) THEN QK8A = .;
   IF (QK9 <= -1) THEN QK9 = .;
   IF (QK10 <= -1) THEN QK10 = .;
   IF (QK11 <= -1) THEN QK11 = .;
   IF (QK12 <= -1) THEN QK12 = .;
   IF (QK13 <= -1) THEN QK13 = .;
   IF (QK13A <= -1) THEN QK13A = .;
   IF (QK13B <= -1) THEN QK13B = .;
   IF (QK14 <= -1) THEN QK14 = .;
   IF (QK15 <= -1) THEN QK15 = .;
   IF (QK15B <= -1) THEN QK15B = .;
   IF (QK16 <= -1) THEN QK16 = .;
   IF (QL1 <= -1) THEN QL1 = .;
   IF (QL1A <= -1) THEN QL1A = .;
   IF (QL2 <= -1) THEN QL2 = .;
   IF (QL2A <= -1) THEN QL2A = .;
   IF (QL3 <= -1) THEN QL3 = .;
   IF (QL3A <= -1) THEN QL3A = .;
   IF (QL4 <= -1) THEN QL4 = .;
   IF (QL5 <= -1) THEN QL5 = .;
   IF (QL6 <= -1) THEN QL6 = .;
   IF (QL7 <= -1) THEN QL7 = .;
   IF (QL8 <= -1) THEN QL8 = .;
   IF (QL8A <= -1) THEN QL8A = .;
   IF (QL9 <= -1) THEN QL9 = .;
   IF (QL9A <= -1) THEN QL9A = .;
   IF (QL10 <= -1) THEN QL10 = .;
   IF (QL11 <= -1) THEN QL11 = .;
   IF (QL12 <= -1) THEN QL12 = .;
   IF (QL13 <= -1) THEN QL13 = .;
   IF (QL13A <= -1) THEN QL13A = .;
   IF (QL14 <= -1) THEN QL14 = .;
   IF (QL14A <= -1) THEN QL14A = .;
   IF (QL15 <= -1) THEN QL15 = .;
   IF (QL15A <= -1) THEN QL15A = .;
   IF (QL16 <= -1) THEN QL16 = .;
   IF (QL16A <= -1) THEN QL16A = .;
   IF (QL17 <= -1) THEN QL17 = .;
   IF (QL18 <= -1) THEN QL18 = .;
   IF (QL19 <= -1) THEN QL19 = .;
   IF (QL20 <= -1) THEN QL20 = .;
   IF (QL21 <= -1) THEN QL21 = .;
   IF (QL22 <= -1) THEN QL22 = .;
   IF (QL22A <= -1) THEN QL22A = .;
   IF (QL23 <= -1) THEN QL23 = .;
   IF (QL23A1 <= -1) THEN QL23A1 = .;
   IF (QL23A2 <= -1) THEN QL23A2 = .;
   IF (QL23A3 <= -1) THEN QL23A3 = .;
   IF (QL23A4 <= -1) THEN QL23A4 = .;
   IF (QL23B <= -1) THEN QL23B = .;
   IF (QL23C <= -1) THEN QL23C = .;
   IF (QM1 <= -1) THEN QM1 = .;
   IF (QM2 <= -1) THEN QM2 = .;
   IF (QM2A1 <= -1) THEN QM2A1 = .;
   IF (QM2A2 <= -1) THEN QM2A2 = .;
   IF (QM2A3 <= -1) THEN QM2A3 = .;
   IF (QM2A4 <= -1) THEN QM2A4 = .;
   IF (QM2A5 <= -1) THEN QM2A5 = .;
   IF (QM3A <= -1) THEN QM3A = .;
   IF (QM3AA <= -1) THEN QM3AA = .;
   IF (QM3BA <= -1) THEN QM3BA = .;
   IF (QM3DA <= -1) THEN QM3DA = .;
   IF (QM3B <= -1) THEN QM3B = .;
   IF (QM3AB <= -1) THEN QM3AB = .;
   IF (QM3BB <= -1) THEN QM3BB = .;
   IF (QM3DB <= -1) THEN QM3DB = .;
   IF (QM3C <= -1) THEN QM3C = .;
   IF (QM3AC <= -1) THEN QM3AC = .;
   IF (QM3BC <= -1) THEN QM3BC = .;
   IF (QM3DC <= -1) THEN QM3DC = .;
   IF (QM3D <= -1) THEN QM3D = .;
   IF (QM3AD <= -1) THEN QM3AD = .;
   IF (QM3BD <= -1) THEN QM3BD = .;
   IF (QM3DD <= -1) THEN QM3DD = .;
   IF (QM3E <= -1) THEN QM3E = .;
   IF (QM3AE <= -1) THEN QM3AE = .;
   IF (QM3BE <= -1) THEN QM3BE = .;
   IF (QM3DE <= -1) THEN QM3DE = .;
   IF (QM3F <= -1) THEN QM3F = .;
   IF (QM3AF <= -1) THEN QM3AF = .;
   IF (QM3BF <= -1) THEN QM3BF = .;
   IF (QM3DF <= -1) THEN QM3DF = .;
   IF (QM4 <= -1) THEN QM4 = .;
   IF (QM4A1 <= -1) THEN QM4A1 = .;
   IF (QM4A2 <= -1) THEN QM4A2 = .;
   IF (QM4A3 <= -1) THEN QM4A3 = .;
   IF (QM4A4 <= -1) THEN QM4A4 = .;
   IF (QM4A5 <= -1) THEN QM4A5 = .;
   IF (QM4A6 <= -1) THEN QM4A6 = .;
   IF (QM5 <= -1) THEN QM5 = .;
   IF (QM5A1 <= -1) THEN QM5A1 = .;
   IF (QM5A2 <= -1) THEN QM5A2 = .;
   IF (QM5A3 <= -1) THEN QM5A3 = .;
   IF (QM5A4 <= -1) THEN QM5A4 = .;
   IF (QM5B <= -1) THEN QM5B = .;
   IF (QM5C <= -1) THEN QM5C = .;
   IF (QM5D <= -1) THEN QM5D = .;
   IF (QM5E1 <= -1) THEN QM5E1 = .;
   IF (QM5E2 <= -1) THEN QM5E2 = .;
   IF (QM7 <= -1) THEN QM7 = .;
   IF (QM8_1 <= -1) THEN QM8_1 = .;
   IF (QM8_2 <= -1) THEN QM8_2 = .;
   IF (QM8_11 <= -1) THEN QM8_11 = .;
   IF (QM8_12 <= -1) THEN QM8_12 = .;
   IF (QM8_13 <= -1) THEN QM8_13 = .;
   IF (QM8_21 <= -1) THEN QM8_21 = .;
   IF (QM8_22 <= -1) THEN QM8_22 = .;
   IF (QM8_23 <= -1) THEN QM8_23 = .;
   IF (QM8_28 <= -1) THEN QM8_28 = .;
   IF (QM8_91 <= -1) THEN QM8_91 = .;
   IF (QM9 <= -1) THEN QM9 = .;
   IF (QM10 <= -1) THEN QM10 = .;
   IF (QM10A <= -1) THEN QM10A = .;
   IF (QM10B0 <= -1) THEN QM10B0 = .;
   IF (QM10B1 <= -1) THEN QM10B1 = .;
   IF (QM10B2 <= -1) THEN QM10B2 = .;
   IF (QM10B3 <= -1) THEN QM10B3 = .;
   IF (QM10B4 <= -1) THEN QM10B4 = .;
   IF (QM10B5 <= -1) THEN QM10B5 = .;
   IF (QM10B6 <= -1) THEN QM10B6 = .;
   IF (QM10B7 <= -1) THEN QM10B7 = .;
   IF (QM10B8 <= -1) THEN QM10B8 = .;
   IF (QM10B9 <= -1) THEN QM10B9 = .;
   IF (QM10B10 <= -1) THEN QM10B10 = .;
   IF (QM10B11 <= -1) THEN QM10B11 = .;
   IF (QM10B12 <= -1) THEN QM10B12 = .;
   IF (QM10B13 <= -1) THEN QM10B13 = .;
   IF (QM11 <= -1) THEN QM11 = .;
   IF (QM12_1 <= -1) THEN QM12_1 = .;
   IF (QM12_2 <= -1) THEN QM12_2 = .;
   IF (QM12_22 <= -1) THEN QM12_22 = .;
   IF (QM12_23 <= -1) THEN QM12_23 = .;
   IF (QM12_24 <= -1) THEN QM12_24 = .;
   IF (QM12_25 <= -1) THEN QM12_25 = .;
   IF (QM12_26 <= -1) THEN QM12_26 = .;
   IF (QM12_91 <= -1) THEN QM12_91 = .;
   IF (QM13 <= -1) THEN QM13 = .;
   IF (QM14 <= -1) THEN QM14 = .;
   IF (QM15_1 <= -1) THEN QM15_1 = .;
   IF (QM15_2 <= -1) THEN QM15_2 = .;
   IF (QM15_11 <= -1) THEN QM15_11 = .;
   IF (QM15_12 <= -1) THEN QM15_12 = .;
   IF (QM15_13 <= -1) THEN QM15_13 = .;
   IF (QM15_21 <= -1) THEN QM15_21 = .;
   IF (QM15_22 <= -1) THEN QM15_22 = .;
   IF (QM15_23 <= -1) THEN QM15_23 = .;
   IF (QM15_28 <= -1) THEN QM15_28 = .;
   IF (QM15_91 <= -1) THEN QM15_91 = .;
   IF (QM16 <= -1) THEN QM16 = .;
   IF (QM17 <= -1) THEN QM17 = .;
   IF (QM18 <= -1) THEN QM18 = .;
   IF (QM19_1 <= -1) THEN QM19_1 = .;
   IF (QM19_2 <= -1) THEN QM19_2 = .;
   IF (QM19_3 <= -1) THEN QM19_3 = .;
   IF (QM19_4 <= -1) THEN QM19_4 = .;
   IF (QM19_91 <= -1) THEN QM19_91 = .;
   IF (QM20 <= -1) THEN QM20 = .;
   IF (QM21 <= -1) THEN QM21 = .;
   IF (QM22_1 <= -1) THEN QM22_1 = .;
   IF (QM22_2 <= -1) THEN QM22_2 = .;
   IF (QM22_3 <= -1) THEN QM22_3 = .;
   IF (QM22_4 <= -1) THEN QM22_4 = .;
   IF (QM22_91 <= -1) THEN QM22_91 = .;
   IF (QM23 <= -1) THEN QM23 = .;
   IF (QM24 <= -1) THEN QM24 = .;
   IF (QM25_1 <= -1) THEN QM25_1 = .;
   IF (QM25_2 <= -1) THEN QM25_2 = .;
   IF (QM25_3 <= -1) THEN QM25_3 = .;
   IF (QM25_4 <= -1) THEN QM25_4 = .;
   IF (QM25_91 <= -1) THEN QM25_91 = .;
   IF (QM26 <= -1) THEN QM26 = .;
   IF (QM27 <= -1) THEN QM27 = .;
   IF (QM28_1 <= -1) THEN QM28_1 = .;
   IF (QM28_2 <= -1) THEN QM28_2 = .;
   IF (QM28_3 <= -1) THEN QM28_3 = .;
   IF (QM28_4 <= -1) THEN QM28_4 = .;
   IF (QM28_91 <= -1) THEN QM28_91 = .;
   IF (QM29 <= -1) THEN QM29 = .;
   IF (QM30 <= -1) THEN QM30 = .;
   IF (QM30A <= -1) THEN QM30A = .;
   IF (QM30B <= -1) THEN QM30B = .;
   IF (QM31 <= -1) THEN QM31 = .;
   IF (QM32 <= -1) THEN QM32 = .;
   IF (QM33 <= -1) THEN QM33 = .;
   IF (QM33A <= -1) THEN QM33A = .;
   IF (QM34 <= -1) THEN QM34 = .;
   IF (QM35 <= -1) THEN QM35 = .;
   IF (QM35B1 <= -1) THEN QM35B1 = .;
   IF (QM35B2 <= -1) THEN QM35B2 = .;
   IF (QM35B3 <= -1) THEN QM35B3 = .;
   IF (QM35B4 <= -1) THEN QM35B4 = .;
   IF (QM35B5 <= -1) THEN QM35B5 = .;
   IF (QN1A <= -1) THEN QN1A = .;
   IF (QN2A <= -1) THEN QN2A = .;
   IF (QN1B <= -1) THEN QN1B = .;
   IF (QN2B <= -1) THEN QN2B = .;
   IF (QN1C <= -1) THEN QN1C = .;
   IF (QN2C <= -1) THEN QN2C = .;
   IF (QN1D <= -1) THEN QN1D = .;
   IF (QN2D <= -1) THEN QN2D = .;
   IF (QN1E <= -1) THEN QN1E = .;
   IF (QN2E <= -1) THEN QN2E = .;
   IF (QN1F <= -1) THEN QN1F = .;
   IF (QN2F <= -1) THEN QN2F = .;
   IF (QN1G <= -1) THEN QN1G = .;
   IF (QN2G <= -1) THEN QN2G = .;
   IF (QN1H <= -1) THEN QN1H = .;
   IF (QN2H <= -1) THEN QN2H = .;
   IF (QN1I <= -1) THEN QN1I = .;
   IF (QN2I <= -1) THEN QN2I = .;
   IF (QN3A <= -1) THEN QN3A = .;
   IF (QN3B <= -1) THEN QN3B = .;
   IF (QN3C <= -1) THEN QN3C = .;
   IF (QN3D <= -1) THEN QN3D = .;
   IF (QN3E <= -1) THEN QN3E = .;
   IF (QN3F <= -1) THEN QN3F = .;
   IF (QN3G <= -1) THEN QN3G = .;
   IF (QN3H <= -1) THEN QN3H = .;
   IF (QN3I <= -1) THEN QN3I = .;
   IF (QN3J <= -1) THEN QN3J = .;
   IF (QN3K <= -1) THEN QN3K = .;
   IF (QN3L <= -1) THEN QN3L = .;
   IF (QN4A <= -1) THEN QN4A = .;
   IF (QN4B <= -1) THEN QN4B = .;
   IF (QN4C <= -1) THEN QN4C = .;
   IF (QN4D <= -1) THEN QN4D = .;
   IF (QN4E <= -1) THEN QN4E = .;
   IF (QN4F <= -1) THEN QN4F = .;
   IF (QN4G <= -1) THEN QN4G = .;
   IF (QN5 <= -1) THEN QN5 = .;
   IF (QN6 <= -1) THEN QN6 = .;
   IF (QN7 <= -1) THEN QN7 = .;
   IF (QN8 <= -1) THEN QN8 = .;
   IF (QN9 <= -1) THEN QN9 = .;
   IF (QN10 <= -1) THEN QN10 = .;
   IF (QP1 <= -1) THEN QP1 = .;
   IF (QP2 <= -1) THEN QP2 = .;
   IF (QP3 <= -1) THEN QP3 = .;
   IF (QP4 <= -1) THEN QP4 = .;
   IF (QP5 <= -1) THEN QP5 = .;
   IF (QP6 <= -1) THEN QP6 = .;
   IF (QP7A <= -1) THEN QP7A = .;
   IF (QP7B <= -1) THEN QP7B = .;
   IF (QP8 <= -1) THEN QP8 = .;
   IF (QP9 <= -1) THEN QP9 = .;
   IF (QP10 <= -1) THEN QP10 = .;
   IF (QP11 <= -1) THEN QP11 = .;
   IF (QP12 <= -1) THEN QP12 = .;
   IF (QP13 <= -1) THEN QP13 = .;
   IF (QP14 <= -1) THEN QP14 = .;
   IF (QP15 <= -1) THEN QP15 = .;
   IF (QP16 <= -1) THEN QP16 = .;
   IF (QP17 <= -1) THEN QP17 = .;
   IF (QP18 <= -1) THEN QP18 = .;
   IF (QP19 <= -1) THEN QP19 = .;
   IF (QP20 <= -1) THEN QP20 = .;
   IF (QP21 <= -1) THEN QP21 = .;
   IF (QP22 <= -1) THEN QP22 = .;
   IF (QP23 <= -1) THEN QP23 = .;
   IF (QP24 <= -1) THEN QP24 = .;
   IF (QP25 <= -1) THEN QP25 = .;
   IF (QP26 <= -1) THEN QP26 = .;
   IF (QP27 <= -1) THEN QP27 = .;
   IF (QP28 <= -1) THEN QP28 = .;
   IF (QP29 <= -1) THEN QP29 = .;
   IF (QP30 <= -1) THEN QP30 = .;
   IF (QP31 <= -1) THEN QP31 = .;
   IF (QP32 <= -1) THEN QP32 = .;
   IF (QP33 <= -1) THEN QP33 = .;
   IF (QP34 <= -1) THEN QP34 = .;
   IF (QP35 <= -1) THEN QP35 = .;
   IF (QP36 <= -1) THEN QP36 = .;
   IF (QP37 <= -1) THEN QP37 = .;
   IF (QP38 <= -1) THEN QP38 = .;
   IF (QP39 <= -1) THEN QP39 = .;
   IF (QP40 <= -1) THEN QP40 = .;
   IF (QP41 <= -1) THEN QP41 = .;
   IF (QP42 <= -1) THEN QP42 = .;
   IF (QP43 <= -1) THEN QP43 = .;
   IF (QP44 <= -1) THEN QP44 = .;
   IF (QP45_1 <= -1) THEN QP45_1 = .;
   IF (QP45_2 <= -1) THEN QP45_2 = .;
   IF (QP45_3 <= -1) THEN QP45_3 = .;
   IF (QP45_4 <= -1) THEN QP45_4 = .;
   IF (QP45_5 <= -1) THEN QP45_5 = .;
   IF (QP46 <= -1) THEN QP46 = .;
   IF (QP47 <= -1) THEN QP47 = .;
   IF (QP48 <= -1) THEN QP48 = .;
   IF (QP49 <= -1) THEN QP49 = .;
   IF (QP50 <= -1) THEN QP50 = .;
   IF (QP51_1 <= -1) THEN QP51_1 = .;
   IF (QP51_2 <= -1) THEN QP51_2 = .;
   IF (QP51_3 <= -1) THEN QP51_3 = .;
   IF (QP51_4 <= -1) THEN QP51_4 = .;
   IF (QP51_5 <= -1) THEN QP51_5 = .;
   IF (QP52 <= -1) THEN QP52 = .;
   IF (QP53 <= -1) THEN QP53 = .;
   IF (QQ1 <= -1) THEN QQ1 = .;
   IF (QQ2_1 <= -1) THEN QQ2_1 = .;
   IF (QQ3_1 <= -1) THEN QQ3_1 = .;
   IF (QQ4_1 <= -1) THEN QQ4_1 = .;
   IF (QQ2_2 <= -1) THEN QQ2_2 = .;
   IF (QQ3_2 <= -1) THEN QQ3_2 = .;
   IF (QQ4_2 <= -1) THEN QQ4_2 = .;
   IF (QQ2_3 <= -1) THEN QQ2_3 = .;
   IF (QQ4_3 <= -1) THEN QQ4_3 = .;
   IF (QQ2_4 <= -1) THEN QQ2_4 = .;
   IF (QQ3_4 <= -1) THEN QQ3_4 = .;
   IF (QQ4_4 <= -1) THEN QQ4_4 = .;
   IF (QQ5_1 <= -1) THEN QQ5_1 = .;
   IF (QQ6_1 <= -1) THEN QQ6_1 = .;
   IF (QQ7_1 <= -1) THEN QQ7_1 = .;
   IF (QQ5_2 <= -1) THEN QQ5_2 = .;
   IF (QQ6_2 <= -1) THEN QQ6_2 = .;
   IF (QQ7_2 <= -1) THEN QQ7_2 = .;
   IF (QQ5_3 <= -1) THEN QQ5_3 = .;
   IF (QQ7_3 <= -1) THEN QQ7_3 = .;
   IF (QQ5_4 <= -1) THEN QQ5_4 = .;
   IF (QQ6_4 <= -1) THEN QQ6_4 = .;
   IF (QQ7_4 <= -1) THEN QQ7_4 = .;
   IF (QQ5_5 <= -1) THEN QQ5_5 = .;
   IF (QQ6_5 <= -1) THEN QQ6_5 = .;
   IF (QQ7_5 <= -1) THEN QQ7_5 = .;
   IF (QQ8 <= -1) THEN QQ8 = .;
   IF (QQ9 <= -1) THEN QQ9 = .;
   IF (QQ10 <= -1) THEN QQ10 = .;
   IF (QQ11 <= -1) THEN QQ11 = .;
   IF (QQ12 <= -1) THEN QQ12 = .;
   IF (QQ13_1 <= -1) THEN QQ13_1 = .;
   IF (QQ13_2 <= -1) THEN QQ13_2 = .;
   IF (QQ13_3 <= -1) THEN QQ13_3 = .;
   IF (QQ13_4 <= -1) THEN QQ13_4 = .;
   IF (QQ13_5 <= -1) THEN QQ13_5 = .;
   IF (QQ13_6 <= -1) THEN QQ13_6 = .;
   IF (QQ13_7 <= -1) THEN QQ13_7 = .;
   IF (QQ13_8 <= -1) THEN QQ13_8 = .;
   IF (QQ13_9 <= -1) THEN QQ13_9 = .;
   IF (QQ13_10 <= -1) THEN QQ13_10 = .;
   IF (QQ13_11 <= -1) THEN QQ13_11 = .;
   IF (QQ13_12 <= -1) THEN QQ13_12 = .;
   IF (QQ13_13 <= -1) THEN QQ13_13 = .;
   IF (QQ13_14 <= -1) THEN QQ13_14 = .;
   IF (QQ13_15 <= -1) THEN QQ13_15 = .;
   IF (QQ13_16 <= -1) THEN QQ13_16 = .;
   IF (QQ13_17 <= -1) THEN QQ13_17 = .;
   IF (QQ14 <= -1) THEN QQ14 = .;
   IF (QQ15 <= -1) THEN QQ15 = .;
   IF (QQ16 <= -1) THEN QQ16 = .;
   IF (QQ17 <= -1) THEN QQ17 = .;
   IF (QQ18 <= -1) THEN QQ18 = .;
   IF (QQ19 <= -1) THEN QQ19 = .;
   IF (QQ20 <= -1) THEN QQ20 = .;
   IF (QQ21 <= -1) THEN QQ21 = .;
   IF (QQ22 <= -1) THEN QQ22 = .;
   IF (QQ23_1 <= -1) THEN QQ23_1 = .;
   IF (QQ23_2 <= -1) THEN QQ23_2 = .;
   IF (QQ23_3 <= -1) THEN QQ23_3 = .;
   IF (QQ23_4 <= -1) THEN QQ23_4 = .;
   IF (QQ23_5 <= -1) THEN QQ23_5 = .;
   IF (QQ23_6 <= -1) THEN QQ23_6 = .;
   IF (QQ23_7 <= -1) THEN QQ23_7 = .;
   IF (QQ23_8 <= -1) THEN QQ23_8 = .;
   IF (QQ23_9 <= -1) THEN QQ23_9 = .;
   IF (QQ23_10 <= -1) THEN QQ23_10 = .;
   IF (QQ23_11 <= -1) THEN QQ23_11 = .;
   IF (QQ23_12 <= -1) THEN QQ23_12 = .;
   IF (QQ23_13 <= -1) THEN QQ23_13 = .;
   IF (QQ23_14 <= -1) THEN QQ23_14 = .;
   IF (QQ23_15 <= -1) THEN QQ23_15 = .;
   IF (QQ23_16 <= -1) THEN QQ23_16 = .;
   IF (QQ23_17 <= -1) THEN QQ23_17 = .;
   IF (QQ24 <= -1) THEN QQ24 = .;
   IF (QQ25 <= -1) THEN QQ25 = .;
   IF (QQ26 <= -1) THEN QQ26 = .;
   IF (QQ27 <= -1) THEN QQ27 = .;
   IF (QR1 <= -1) THEN QR1 = .;
   IF (QR2 <= -1) THEN QR2 = .;
   IF (QR3_1 <= -1) THEN QR3_1 = .;
   IF (QR3_10S1 <= -1) THEN QR3_10S1 = .;
   IF (QR3_20S1 <= -1) THEN QR3_20S1 = .;
   IF (QR3_30S1 <= -1) THEN QR3_30S1 = .;
   IF (QR3_40S1 <= -1) THEN QR3_40S1 = .;
   IF (QR3_50S1 <= -1) THEN QR3_50S1 = .;
   IF (QR3_60S1 <= -1) THEN QR3_60S1 = .;
   IF (QR3_70S1 <= -1) THEN QR3_70S1 = .;
   IF (QR3_80S1 <= -1) THEN QR3_80S1 = .;
   IF (QR3_90S1 <= -1) THEN QR3_90S1 = .;
   IF (QR3_100S1 <= -1) THEN QR3_100S1 = .;
   IF (QR3_2 <= -1) THEN QR3_2 = .;
   IF (QR3_10S2 <= -1) THEN QR3_10S2 = .;
   IF (QR3_20S2 <= -1) THEN QR3_20S2 = .;
   IF (QR3_30S2 <= -1) THEN QR3_30S2 = .;
   IF (QR3_40S2 <= -1) THEN QR3_40S2 = .;
   IF (QR3_50S2 <= -1) THEN QR3_50S2 = .;
   IF (QR3_60S2 <= -1) THEN QR3_60S2 = .;
   IF (QR3_70S2 <= -1) THEN QR3_70S2 = .;
   IF (QR3_80S2 <= -1) THEN QR3_80S2 = .;
   IF (QR3_90S2 <= -1) THEN QR3_90S2 = .;
   IF (QR3_100S2 <= -1) THEN QR3_100S2 = .;
   IF (QR3_3 <= -1) THEN QR3_3 = .;
   IF (QR3_10S3 <= -1) THEN QR3_10S3 = .;
   IF (QR3_20S3 <= -1) THEN QR3_20S3 = .;
   IF (QR3_30S3 <= -1) THEN QR3_30S3 = .;
   IF (QR3_40S3 <= -1) THEN QR3_40S3 = .;
   IF (QR3_50S3 <= -1) THEN QR3_50S3 = .;
   IF (QR3_60S3 <= -1) THEN QR3_60S3 = .;
   IF (QR3_70S3 <= -1) THEN QR3_70S3 = .;
   IF (QR3_80S3 <= -1) THEN QR3_80S3 = .;
   IF (QR3_90S3 <= -1) THEN QR3_90S3 = .;
   IF (QR3_100S3 <= -1) THEN QR3_100S3 = .;
   IF (QR4 <= -1) THEN QR4 = .;
   IF (QR5 <= -1) THEN QR5 = .;
   IF (QR6 <= -1) THEN QR6 = .;
   IF (QR7_1 <= -1) THEN QR7_1 = .;
   IF (QR7_10S1 <= -1) THEN QR7_10S1 = .;
   IF (QR7_20S1 <= -1) THEN QR7_20S1 = .;
   IF (QR7_30S1 <= -1) THEN QR7_30S1 = .;
   IF (QR7_40S1 <= -1) THEN QR7_40S1 = .;
   IF (QR7_50S1 <= -1) THEN QR7_50S1 = .;
   IF (QR7_60S1 <= -1) THEN QR7_60S1 = .;
   IF (QR7_70S1 <= -1) THEN QR7_70S1 = .;
   IF (QR7_80S1 <= -1) THEN QR7_80S1 = .;
   IF (QR7_90S1 <= -1) THEN QR7_90S1 = .;
   IF (QR7_100S1 <= -1) THEN QR7_100S1 = .;
   IF (QR7_2 <= -1) THEN QR7_2 = .;
   IF (QR7_10S2 <= -1) THEN QR7_10S2 = .;
   IF (QR7_20S2 <= -1) THEN QR7_20S2 = .;
   IF (QR7_30S2 <= -1) THEN QR7_30S2 = .;
   IF (QR7_40S2 <= -1) THEN QR7_40S2 = .;
   IF (QR7_50S2 <= -1) THEN QR7_50S2 = .;
   IF (QR7_60S2 <= -1) THEN QR7_60S2 = .;
   IF (QR7_70S2 <= -1) THEN QR7_70S2 = .;
   IF (QR7_80S2 <= -1) THEN QR7_80S2 = .;
   IF (QR7_90S2 <= -1) THEN QR7_90S2 = .;
   IF (QR7_100S2 <= -1) THEN QR7_100S2 = .;
   IF (QR7_3 <= -1) THEN QR7_3 = .;
   IF (QR7_10S3 <= -1) THEN QR7_10S3 = .;
   IF (QR7_20S3 <= -1) THEN QR7_20S3 = .;
   IF (QR7_30S3 <= -1) THEN QR7_30S3 = .;
   IF (QR7_40S3 <= -1) THEN QR7_40S3 = .;
   IF (QR7_50S3 <= -1) THEN QR7_50S3 = .;
   IF (QR7_60S3 <= -1) THEN QR7_60S3 = .;
   IF (QR7_70S3 <= -1) THEN QR7_70S3 = .;
   IF (QR7_80S3 <= -1) THEN QR7_80S3 = .;
   IF (QR7_90S3 <= -1) THEN QR7_90S3 = .;
   IF (QR7_100S3 <= -1) THEN QR7_100S3 = .;
   IF (QR8 <= -1) THEN QR8 = .;
   IF (QR9 <= -1) THEN QR9 = .;
   IF (QR10 <= -1) THEN QR10 = .;
   IF (QR11 <= -1) THEN QR11 = .;
   IF (QR12_1 <= -1) THEN QR12_1 = .;
   IF (QR12_2 <= -1) THEN QR12_2 = .;
   IF (QR12_3 <= -1) THEN QR12_3 = .;
   IF (QR13 <= -1) THEN QR13 = .;
   IF (QR14 <= -1) THEN QR14 = .;
   IF (QR15 <= -1) THEN QR15 = .;
   IF (QR16_1 <= -1) THEN QR16_1 = .;
   IF (QR16_2 <= -1) THEN QR16_2 = .;
   IF (QR16_3 <= -1) THEN QR16_3 = .;
   IF (QR17 <= -1) THEN QR17 = .;
   IF (QR18 <= -1) THEN QR18 = .;
   IF (QR19 <= -1) THEN QR19 = .;
   IF (QR20 <= -1) THEN QR20 = .;
   IF (QR21_1 <= -1) THEN QR21_1 = .;
   IF (QR21_2 <= -1) THEN QR21_2 = .;
   IF (QR21_3 <= -1) THEN QR21_3 = .;
   IF (QR22 <= -1) THEN QR22 = .;
   IF (QR23 <= -1) THEN QR23 = .;
   IF (QR24 <= -1) THEN QR24 = .;
   IF (QR25 <= -1) THEN QR25 = .;
   IF (QR26 <= -1) THEN QR26 = .;
   IF (QR27_1 <= -1) THEN QR27_1 = .;
   IF (QR27_2 <= -1) THEN QR27_2 = .;
   IF (QR27_3 <= -1) THEN QR27_3 = .;
   IF (QR28 <= -1) THEN QR28 = .;
   IF (QR29 <= -1) THEN QR29 = .;
   IF (QR30 <= -1) THEN QR30 = .;
   IF (QR31 <= -1) THEN QR31 = .;
   IF (QR32_1 <= -1) THEN QR32_1 = .;
   IF (QR32_10S1 <= -1) THEN QR32_10S1 = .;
   IF (QR32_20S1 <= -1) THEN QR32_20S1 = .;
   IF (QR32_30S1 <= -1) THEN QR32_30S1 = .;
   IF (QR32_40S1 <= -1) THEN QR32_40S1 = .;
   IF (QR32_50S1 <= -1) THEN QR32_50S1 = .;
   IF (QR32_60S1 <= -1) THEN QR32_60S1 = .;
   IF (QR32_70S1 <= -1) THEN QR32_70S1 = .;
   IF (QR32_80S1 <= -1) THEN QR32_80S1 = .;
   IF (QR32_90S1 <= -1) THEN QR32_90S1 = .;
   IF (QR32_100S1 <= -1) THEN QR32_100S1 = .;
   IF (QR32_2 <= -1) THEN QR32_2 = .;
   IF (QR32_10S2 <= -1) THEN QR32_10S2 = .;
   IF (QR32_20S2 <= -1) THEN QR32_20S2 = .;
   IF (QR32_30S2 <= -1) THEN QR32_30S2 = .;
   IF (QR32_40S2 <= -1) THEN QR32_40S2 = .;
   IF (QR32_50S2 <= -1) THEN QR32_50S2 = .;
   IF (QR32_60S2 <= -1) THEN QR32_60S2 = .;
   IF (QR32_70S2 <= -1) THEN QR32_70S2 = .;
   IF (QR32_80S2 <= -1) THEN QR32_80S2 = .;
   IF (QR32_90S2 <= -1) THEN QR32_90S2 = .;
   IF (QR32_100S2 <= -1) THEN QR32_100S2 = .;
   IF (QR32_3 <= -1) THEN QR32_3 = .;
   IF (QR32_10S3 <= -1) THEN QR32_10S3 = .;
   IF (QR32_20S3 <= -1) THEN QR32_20S3 = .;
   IF (QR32_30S3 <= -1) THEN QR32_30S3 = .;
   IF (QR32_40S3 <= -1) THEN QR32_40S3 = .;
   IF (QR32_50S3 <= -1) THEN QR32_50S3 = .;
   IF (QR32_60S3 <= -1) THEN QR32_60S3 = .;
   IF (QR32_70S3 <= -1) THEN QR32_70S3 = .;
   IF (QR32_80S3 <= -1) THEN QR32_80S3 = .;
   IF (QR32_90S3 <= -1) THEN QR32_90S3 = .;
   IF (QR32_100S3 <= -1) THEN QR32_100S3 = .;
   IF (QR33 <= -1) THEN QR33 = .;
   IF (QR34 <= -1) THEN QR34 = .;
   IF (QR35_1 <= -1) THEN QR35_1 = .;
   IF (QR35_10S1 <= -1) THEN QR35_10S1 = .;
   IF (QR35_20S1 <= -1) THEN QR35_20S1 = .;
   IF (QR35_30S1 <= -1) THEN QR35_30S1 = .;
   IF (QR35_40S1 <= -1) THEN QR35_40S1 = .;
   IF (QR35_50S1 <= -1) THEN QR35_50S1 = .;
   IF (QR35_60S1 <= -1) THEN QR35_60S1 = .;
   IF (QR35_70S1 <= -1) THEN QR35_70S1 = .;
   IF (QR35_80S1 <= -1) THEN QR35_80S1 = .;
   IF (QR35_90S1 <= -1) THEN QR35_90S1 = .;
   IF (QR35_100S1 <= -1) THEN QR35_100S1 = .;
   IF (QR35_2 <= -1) THEN QR35_2 = .;
   IF (QR35_10S2 <= -1) THEN QR35_10S2 = .;
   IF (QR35_20S2 <= -1) THEN QR35_20S2 = .;
   IF (QR35_30S2 <= -1) THEN QR35_30S2 = .;
   IF (QR35_40S2 <= -1) THEN QR35_40S2 = .;
   IF (QR35_50S2 <= -1) THEN QR35_50S2 = .;
   IF (QR35_60S2 <= -1) THEN QR35_60S2 = .;
   IF (QR35_70S2 <= -1) THEN QR35_70S2 = .;
   IF (QR35_80S2 <= -1) THEN QR35_80S2 = .;
   IF (QR35_90S2 <= -1) THEN QR35_90S2 = .;
   IF (QR35_100S2 <= -1) THEN QR35_100S2 = .;
   IF (QR35_3 <= -1) THEN QR35_3 = .;
   IF (QR35_10S3 <= -1) THEN QR35_10S3 = .;
   IF (QR35_20S3 <= -1) THEN QR35_20S3 = .;
   IF (QR35_30S3 <= -1) THEN QR35_30S3 = .;
   IF (QR35_40S3 <= -1) THEN QR35_40S3 = .;
   IF (QR35_50S3 <= -1) THEN QR35_50S3 = .;
   IF (QR35_60S3 <= -1) THEN QR35_60S3 = .;
   IF (QR35_70S3 <= -1) THEN QR35_70S3 = .;
   IF (QR35_80S3 <= -1) THEN QR35_80S3 = .;
   IF (QR35_90S3 <= -1) THEN QR35_90S3 = .;
   IF (QR35_100S3 <= -1) THEN QR35_100S3 = .;
   IF (QR36 <= -1) THEN QR36 = .;
   IF (QR37 <= -1) THEN QR37 = .;
   IF (QR38_1 <= -1) THEN QR38_1 = .;
   IF (QR38_10S1 <= -1) THEN QR38_10S1 = .;
   IF (QR38_20S1 <= -1) THEN QR38_20S1 = .;
   IF (QR38_30S1 <= -1) THEN QR38_30S1 = .;
   IF (QR38_40S1 <= -1) THEN QR38_40S1 = .;
   IF (QR38_50S1 <= -1) THEN QR38_50S1 = .;
   IF (QR38_60S1 <= -1) THEN QR38_60S1 = .;
   IF (QR38_70S1 <= -1) THEN QR38_70S1 = .;
   IF (QR38_80S1 <= -1) THEN QR38_80S1 = .;
   IF (QR38_90S1 <= -1) THEN QR38_90S1 = .;
   IF (QR38_100S1 <= -1) THEN QR38_100S1 = .;
   IF (QR38_2 <= -1) THEN QR38_2 = .;
   IF (QR38_10S2 <= -1) THEN QR38_10S2 = .;
   IF (QR38_20S2 <= -1) THEN QR38_20S2 = .;
   IF (QR38_30S2 <= -1) THEN QR38_30S2 = .;
   IF (QR38_40S2 <= -1) THEN QR38_40S2 = .;
   IF (QR38_50S2 <= -1) THEN QR38_50S2 = .;
   IF (QR38_60S2 <= -1) THEN QR38_60S2 = .;
   IF (QR38_70S2 <= -1) THEN QR38_70S2 = .;
   IF (QR38_80S2 <= -1) THEN QR38_80S2 = .;
   IF (QR38_90S2 <= -1) THEN QR38_90S2 = .;
   IF (QR38_100S2 <= -1) THEN QR38_100S2 = .;
   IF (QR38_3 <= -1) THEN QR38_3 = .;
   IF (QR38_10S3 <= -1) THEN QR38_10S3 = .;
   IF (QR38_20S3 <= -1) THEN QR38_20S3 = .;
   IF (QR38_30S3 <= -1) THEN QR38_30S3 = .;
   IF (QR38_40S3 <= -1) THEN QR38_40S3 = .;
   IF (QR38_50S3 <= -1) THEN QR38_50S3 = .;
   IF (QR38_60S3 <= -1) THEN QR38_60S3 = .;
   IF (QR38_70S3 <= -1) THEN QR38_70S3 = .;
   IF (QR38_80S3 <= -1) THEN QR38_80S3 = .;
   IF (QR38_90S3 <= -1) THEN QR38_90S3 = .;
   IF (QR38_100S3 <= -1) THEN QR38_100S3 = .;
   IF (QR39 <= -1) THEN QR39 = .;
   IF (QR40 <= -1) THEN QR40 = .;
   IF (QR41 <= -1) THEN QR41 = .;
   IF (QR42 <= -1) THEN QR42 = .;
   IF (QR43 <= -1) THEN QR43 = .;
   IF (QR44_1 <= -1) THEN QR44_1 = .;
   IF (QR44_10S1 <= -1) THEN QR44_10S1 = .;
   IF (QR44_20S1 <= -1) THEN QR44_20S1 = .;
   IF (QR44_30S1 <= -1) THEN QR44_30S1 = .;
   IF (QR44_40S1 <= -1) THEN QR44_40S1 = .;
   IF (QR44_50S1 <= -1) THEN QR44_50S1 = .;
   IF (QR44_60S1 <= -1) THEN QR44_60S1 = .;
   IF (QR44_70S1 <= -1) THEN QR44_70S1 = .;
   IF (QR44_80S1 <= -1) THEN QR44_80S1 = .;
   IF (QR44_90S1 <= -1) THEN QR44_90S1 = .;
   IF (QR44_100S1 <= -1) THEN QR44_100S1 = .;
   IF (QR44_2 <= -1) THEN QR44_2 = .;
   IF (QR44_10S2 <= -1) THEN QR44_10S2 = .;
   IF (QR44_20S2 <= -1) THEN QR44_20S2 = .;
   IF (QR44_30S2 <= -1) THEN QR44_30S2 = .;
   IF (QR44_40S2 <= -1) THEN QR44_40S2 = .;
   IF (QR44_50S2 <= -1) THEN QR44_50S2 = .;
   IF (QR44_60S2 <= -1) THEN QR44_60S2 = .;
   IF (QR44_70S2 <= -1) THEN QR44_70S2 = .;
   IF (QR44_80S2 <= -1) THEN QR44_80S2 = .;
   IF (QR44_90S2 <= -1) THEN QR44_90S2 = .;
   IF (QR44_100S2 <= -1) THEN QR44_100S2 = .;
   IF (QR44_3 <= -1) THEN QR44_3 = .;
   IF (QR44_10S3 <= -1) THEN QR44_10S3 = .;
   IF (QR44_20S3 <= -1) THEN QR44_20S3 = .;
   IF (QR44_30S3 <= -1) THEN QR44_30S3 = .;
   IF (QR44_40S3 <= -1) THEN QR44_40S3 = .;
   IF (QR44_50S3 <= -1) THEN QR44_50S3 = .;
   IF (QR44_60S3 <= -1) THEN QR44_60S3 = .;
   IF (QR44_70S3 <= -1) THEN QR44_70S3 = .;
   IF (QR44_80S3 <= -1) THEN QR44_80S3 = .;
   IF (QR44_90S3 <= -1) THEN QR44_90S3 = .;
   IF (QR44_100S3 <= -1) THEN QR44_100S3 = .;
   IF (QR45 <= -1) THEN QR45 = .;
   IF (QR46 <= -1) THEN QR46 = .;
   IF (QS1 <= -1) THEN QS1 = .;
   IF (QS2 <= -1) THEN QS2 = .;
   IF (QS3_1 <= -1) THEN QS3_1 = .;
   IF (QS4_1 <= -1) THEN QS4_1 = .;
   IF (QS5_1 <= -1) THEN QS5_1 = .;
   IF (QS6_1 <= -1) THEN QS6_1 = .;
   IF (QS7_1 <= -1) THEN QS7_1 = .;
   IF (QS8_1 <= -1) THEN QS8_1 = .;
   IF (QS9_1 <= -1) THEN QS9_1 = .;
   IF (QS10_1 <= -1) THEN QS10_1 = .;
   IF (QS13_1 <= -1) THEN QS13_1 = .;
   IF (QS14_1 <= -1) THEN QS14_1 = .;
   IF (QS3_2 <= -1) THEN QS3_2 = .;
   IF (QS4_2 <= -1) THEN QS4_2 = .;
   IF (QS5_2 <= -1) THEN QS5_2 = .;
   IF (QS6_2 <= -1) THEN QS6_2 = .;
   IF (QS7_2 <= -1) THEN QS7_2 = .;
   IF (QS8_2 <= -1) THEN QS8_2 = .;
   IF (QS9_2 <= -1) THEN QS9_2 = .;
   IF (QS10_2 <= -1) THEN QS10_2 = .;
   IF (QS13_2 <= -1) THEN QS13_2 = .;
   IF (QS14_2 <= -1) THEN QS14_2 = .;
   IF (QS3_3 <= -1) THEN QS3_3 = .;
   IF (QS4_3 <= -1) THEN QS4_3 = .;
   IF (QS5_3 <= -1) THEN QS5_3 = .;
   IF (QS6_3 <= -1) THEN QS6_3 = .;
   IF (QS7_3 <= -1) THEN QS7_3 = .;
   IF (QS8_3 <= -1) THEN QS8_3 = .;
   IF (QS9_3 <= -1) THEN QS9_3 = .;
   IF (QS10_3 <= -1) THEN QS10_3 = .;
   IF (QS13_3 <= -1) THEN QS13_3 = .;
   IF (QS14_3 <= -1) THEN QS14_3 = .;
   IF (QS3_4 <= -1) THEN QS3_4 = .;
   IF (QS4_4 <= -1) THEN QS4_4 = .;
   IF (QS5_4 <= -1) THEN QS5_4 = .;
   IF (QS6_4 <= -1) THEN QS6_4 = .;
   IF (QS7_4 <= -1) THEN QS7_4 = .;
   IF (QS8_4 <= -1) THEN QS8_4 = .;
   IF (QS9_4 <= -1) THEN QS9_4 = .;
   IF (QS10_4 <= -1) THEN QS10_4 = .;
   IF (QS13_4 <= -1) THEN QS13_4 = .;
   IF (QS14_4 <= -1) THEN QS14_4 = .;
   IF (QS3_5 <= -1) THEN QS3_5 = .;
   IF (QS4_5 <= -1) THEN QS4_5 = .;
   IF (QS5_5 <= -1) THEN QS5_5 = .;
   IF (QS6_5 <= -1) THEN QS6_5 = .;
   IF (QS7_5 <= -1) THEN QS7_5 = .;
   IF (QS8_5 <= -1) THEN QS8_5 = .;
   IF (QS9_5 <= -1) THEN QS9_5 = .;
   IF (QS10_5 <= -1) THEN QS10_5 = .;
   IF (QS13_5 <= -1) THEN QS13_5 = .;
   IF (QS14_5 <= -1) THEN QS14_5 = .;
   IF (QS3_6 <= -1) THEN QS3_6 = .;
   IF (QS4_6 <= -1) THEN QS4_6 = .;
   IF (QS5_6 <= -1) THEN QS5_6 = .;
   IF (QS6_6 <= -1) THEN QS6_6 = .;
   IF (QS7_6 <= -1) THEN QS7_6 = .;
   IF (QS8_6 <= -1) THEN QS8_6 = .;
   IF (QS9_6 <= -1) THEN QS9_6 = .;
   IF (QS10_6 <= -1) THEN QS10_6 = .;
   IF (QS13_6 <= -1) THEN QS13_6 = .;
   IF (QS14_6 <= -1) THEN QS14_6 = .;
   IF (QS3_7 <= -1) THEN QS3_7 = .;
   IF (QS4_7 <= -1) THEN QS4_7 = .;
   IF (QS5_7 <= -1) THEN QS5_7 = .;
   IF (QS6_7 <= -1) THEN QS6_7 = .;
   IF (QS7_7 <= -1) THEN QS7_7 = .;
   IF (QS8_7 <= -1) THEN QS8_7 = .;
   IF (QS9_7 <= -1) THEN QS9_7 = .;
   IF (QS10_7 <= -1) THEN QS10_7 = .;
   IF (QS13_7 <= -1) THEN QS13_7 = .;
   IF (QS14_7 <= -1) THEN QS14_7 = .;
   IF (QS3_8 <= -1) THEN QS3_8 = .;
   IF (QS4_8 <= -1) THEN QS4_8 = .;
   IF (QS5_8 <= -1) THEN QS5_8 = .;
   IF (QS6_8 <= -1) THEN QS6_8 = .;
   IF (QS7_8 <= -1) THEN QS7_8 = .;
   IF (QS8_8 <= -1) THEN QS8_8 = .;
   IF (QS9_8 <= -1) THEN QS9_8 = .;
   IF (QS10_8 <= -1) THEN QS10_8 = .;
   IF (QS13_8 <= -1) THEN QS13_8 = .;
   IF (QS14_8 <= -1) THEN QS14_8 = .;
   IF (QS3_9 <= -1) THEN QS3_9 = .;
   IF (QS4_9 <= -1) THEN QS4_9 = .;
   IF (QS5_9 <= -1) THEN QS5_9 = .;
   IF (QS6_9 <= -1) THEN QS6_9 = .;
   IF (QS7_9 <= -1) THEN QS7_9 = .;
   IF (QS8_9 <= -1) THEN QS8_9 = .;
   IF (QS9_9 <= -1) THEN QS9_9 = .;
   IF (QS10_9 <= -1) THEN QS10_9 = .;
   IF (QS13_9 <= -1) THEN QS13_9 = .;
   IF (QS14_9 <= -1) THEN QS14_9 = .;
   IF (QS3_10 <= -1) THEN QS3_10 = .;
   IF (QS4_10 <= -1) THEN QS4_10 = .;
   IF (QS5_10 <= -1) THEN QS5_10 = .;
   IF (QS6_10 <= -1) THEN QS6_10 = .;
   IF (QS7_10 <= -1) THEN QS7_10 = .;
   IF (QS8_10 <= -1) THEN QS8_10 = .;
   IF (QS9_10 <= -1) THEN QS9_10 = .;
   IF (QS10_10 <= -1) THEN QS10_10 = .;
   IF (QS13_10 <= -1) THEN QS13_10 = .;
   IF (QS14_10 <= -1) THEN QS14_10 = .;
   IF (QS3_11 <= -1) THEN QS3_11 = .;
   IF (QS4_11 <= -1) THEN QS4_11 = .;
   IF (QS5_11 <= -1) THEN QS5_11 = .;
   IF (QS6_11 <= -1) THEN QS6_11 = .;
   IF (QS7_11 <= -1) THEN QS7_11 = .;
   IF (QS8_11 <= -1) THEN QS8_11 = .;
   IF (QS9_11 <= -1) THEN QS9_11 = .;
   IF (QS10_11 <= -1) THEN QS10_11 = .;
   IF (QS13_11 <= -1) THEN QS13_11 = .;
   IF (QS14_11 <= -1) THEN QS14_11 = .;
   IF (QS3_12 <= -1) THEN QS3_12 = .;
   IF (QS4_12 <= -1) THEN QS4_12 = .;
   IF (QS5_12 <= -1) THEN QS5_12 = .;
   IF (QS6_12 <= -1) THEN QS6_12 = .;
   IF (QS7_12 <= -1) THEN QS7_12 = .;
   IF (QS8_12 <= -1) THEN QS8_12 = .;
   IF (QS9_12 <= -1) THEN QS9_12 = .;
   IF (QS10_12 <= -1) THEN QS10_12 = .;
   IF (QS13_12 <= -1) THEN QS13_12 = .;
   IF (QS14_12 <= -1) THEN QS14_12 = .;
   IF (QS3_13 <= -1) THEN QS3_13 = .;
   IF (QS4_13 <= -1) THEN QS4_13 = .;
   IF (QS5_13 <= -1) THEN QS5_13 = .;
   IF (QS6_13 <= -1) THEN QS6_13 = .;
   IF (QS7_13 <= -1) THEN QS7_13 = .;
   IF (QS8_13 <= -1) THEN QS8_13 = .;
   IF (QS9_13 <= -1) THEN QS9_13 = .;
   IF (QS10_13 <= -1) THEN QS10_13 = .;
   IF (QS13_13 <= -1) THEN QS13_13 = .;
   IF (QS14_13 <= -1) THEN QS14_13 = .;
   IF (QS3_14 <= -1) THEN QS3_14 = .;
   IF (QS4_14 <= -1) THEN QS4_14 = .;
   IF (QS5_14 <= -1) THEN QS5_14 = .;
   IF (QS6_14 <= -1) THEN QS6_14 = .;
   IF (QS7_14 <= -1) THEN QS7_14 = .;
   IF (QS8_14 <= -1) THEN QS8_14 = .;
   IF (QS9_14 <= -1) THEN QS9_14 = .;
   IF (QS10_14 <= -1) THEN QS10_14 = .;
   IF (QS13_14 <= -1) THEN QS13_14 = .;
   IF (QS14_14 <= -1) THEN QS14_14 = .;
   IF (QS3_15 <= -1) THEN QS3_15 = .;
   IF (QS4_15 <= -1) THEN QS4_15 = .;
   IF (QS5_15 <= -1) THEN QS5_15 = .;
   IF (QS6_15 <= -1) THEN QS6_15 = .;
   IF (QS7_15 <= -1) THEN QS7_15 = .;
   IF (QS8_15 <= -1) THEN QS8_15 = .;
   IF (QS9_15 <= -1) THEN QS9_15 = .;
   IF (QS10_15 <= -1) THEN QS10_15 = .;
   IF (QS13_15 <= -1) THEN QS13_15 = .;
   IF (QS14_15 <= -1) THEN QS14_15 = .;
   IF (QS3_16 <= -1) THEN QS3_16 = .;
   IF (QS4_16 <= -1) THEN QS4_16 = .;
   IF (QS5_16 <= -1) THEN QS5_16 = .;
   IF (QS6_16 <= -1) THEN QS6_16 = .;
   IF (QS7_16 <= -1) THEN QS7_16 = .;
   IF (QS8_16 <= -1) THEN QS8_16 = .;
   IF (QS9_16 <= -1) THEN QS9_16 = .;
   IF (QS10_16 <= -1) THEN QS10_16 = .;
   IF (QS13_16 <= -1) THEN QS13_16 = .;
   IF (QS14_16 <= -1) THEN QS14_16 = .;
   IF (QS3_17 <= -1) THEN QS3_17 = .;
   IF (QS4_17 <= -1) THEN QS4_17 = .;
   IF (QS5_17 <= -1) THEN QS5_17 = .;
   IF (QS6_17 <= -1) THEN QS6_17 = .;
   IF (QS7_17 <= -1) THEN QS7_17 = .;
   IF (QS8_17 <= -1) THEN QS8_17 = .;
   IF (QS9_17 <= -1) THEN QS9_17 = .;
   IF (QS10_17 <= -1) THEN QS10_17 = .;
   IF (QS13_17 <= -1) THEN QS13_17 = .;
   IF (QS14_17 <= -1) THEN QS14_17 = .;
   IF (QT1_1 <= -1) THEN QT1_1 = .;
   IF (QT3_1 <= -1) THEN QT3_1 = .;
   IF (QT4_1 <= -1) THEN QT4_1 = .;
   IF (QT5_1 <= -1) THEN QT5_1 = .;
   IF (QT6_1 <= -1) THEN QT6_1 = .;
   IF (QT1_2 <= -1) THEN QT1_2 = .;
   IF (QT3_2 <= -1) THEN QT3_2 = .;
   IF (QT4_2 <= -1) THEN QT4_2 = .;
   IF (QT5_2 <= -1) THEN QT5_2 = .;
   IF (QT6_2 <= -1) THEN QT6_2 = .;
   IF (QT1_3 <= -1) THEN QT1_3 = .;
   IF (QT3_3 <= -1) THEN QT3_3 = .;
   IF (QT4_3 <= -1) THEN QT4_3 = .;
   IF (QT5_3 <= -1) THEN QT5_3 = .;
   IF (QT6_3 <= -1) THEN QT6_3 = .;
   IF (QT1_4 <= -1) THEN QT1_4 = .;
   IF (QT3_4 <= -1) THEN QT3_4 = .;
   IF (QT4_4 <= -1) THEN QT4_4 = .;
   IF (QT5_4 <= -1) THEN QT5_4 = .;
   IF (QT6_4 <= -1) THEN QT6_4 = .;
   IF (QT1_5 <= -1) THEN QT1_5 = .;
   IF (QT3_5 <= -1) THEN QT3_5 = .;
   IF (QT4_5 <= -1) THEN QT4_5 = .;
   IF (QT5_5 <= -1) THEN QT5_5 = .;
   IF (QT6_5 <= -1) THEN QT6_5 = .;
   IF (QT1_6 <= -1) THEN QT1_6 = .;
   IF (QT3_6 <= -1) THEN QT3_6 = .;
   IF (QT4_6 <= -1) THEN QT4_6 = .;
   IF (QT5_6 <= -1) THEN QT5_6 = .;
   IF (QT6_6 <= -1) THEN QT6_6 = .;
   IF (QT1_7 <= -1) THEN QT1_7 = .;
   IF (QT3_7 <= -1) THEN QT3_7 = .;
   IF (QT4_7 <= -1) THEN QT4_7 = .;
   IF (QT5_7 <= -1) THEN QT5_7 = .;
   IF (QT6_7 <= -1) THEN QT6_7 = .;
   IF (QT1_8 <= -1) THEN QT1_8 = .;
   IF (QT3_8 <= -1) THEN QT3_8 = .;
   IF (QT4_8 <= -1) THEN QT4_8 = .;
   IF (QT5_8 <= -1) THEN QT5_8 = .;
   IF (QT6_8 <= -1) THEN QT6_8 = .;
   IF (QT1_9 <= -1) THEN QT1_9 = .;
   IF (QT3_9 <= -1) THEN QT3_9 = .;
   IF (QT4_9 <= -1) THEN QT4_9 = .;
   IF (QT5_9 <= -1) THEN QT5_9 = .;
   IF (QT6_9 <= -1) THEN QT6_9 = .;
   IF (QT1_10 <= -1) THEN QT1_10 = .;
   IF (QT3_10 <= -1) THEN QT3_10 = .;
   IF (QT4_10 <= -1) THEN QT4_10 = .;
   IF (QT5_10 <= -1) THEN QT5_10 = .;
   IF (QT6_10 <= -1) THEN QT6_10 = .;
   IF (QT1_11 <= -1) THEN QT1_11 = .;
   IF (QT3_11 <= -1) THEN QT3_11 = .;
   IF (QT4_11 <= -1) THEN QT4_11 = .;
   IF (QT5_11 <= -1) THEN QT5_11 = .;
   IF (QT6_11 <= -1) THEN QT6_11 = .;
   IF (QT1_12 <= -1) THEN QT1_12 = .;
   IF (QT3_12 <= -1) THEN QT3_12 = .;
   IF (QT4_12 <= -1) THEN QT4_12 = .;
   IF (QT5_12 <= -1) THEN QT5_12 = .;
   IF (QT6_12 <= -1) THEN QT6_12 = .;
   IF (QT1_13 <= -1) THEN QT1_13 = .;
   IF (QT3_13 <= -1) THEN QT3_13 = .;
   IF (QT4_13 <= -1) THEN QT4_13 = .;
   IF (QT5_13 <= -1) THEN QT5_13 = .;
   IF (QT6_13 <= -1) THEN QT6_13 = .;
   IF (QT1_14 <= -1) THEN QT1_14 = .;
   IF (QT3_14 <= -1) THEN QT3_14 = .;
   IF (QT4_14 <= -1) THEN QT4_14 = .;
   IF (QT5_14 <= -1) THEN QT5_14 = .;
   IF (QT6_14 <= -1) THEN QT6_14 = .;
   IF (QT1_15 <= -1) THEN QT1_15 = .;
   IF (QT3_15 <= -1) THEN QT3_15 = .;
   IF (QT4_15 <= -1) THEN QT4_15 = .;
   IF (QT5_15 <= -1) THEN QT5_15 = .;
   IF (QT6_15 <= -1) THEN QT6_15 = .;
   IF (QU1 <= -1) THEN QU1 = .;
   IF (QU2 <= -1) THEN QU2 = .;
   IF (QU3 <= -1) THEN QU3 = .;
   IF (QU4 <= -1) THEN QU4 = .;
   IF (QU5 <= -1) THEN QU5 = .;
   IF (QU6 <= -1) THEN QU6 = .;
   IF (QU7 <= -1) THEN QU7 = .;
   IF (QU8 <= -1) THEN QU8 = .;
   IF (QU9 <= -1) THEN QU9 = .;
   IF (QU10 <= -1) THEN QU10 = .;
   IF (QU11 <= -1) THEN QU11 = .;
   IF (QU12 <= -1) THEN QU12 = .;
   IF (QU13 <= -1) THEN QU13 = .;
   IF (QU14_51 <= -1) THEN QU14_51 = .;
   IF (QU14_52 <= -1) THEN QU14_52 = .;
   IF (QU14_53 <= -1) THEN QU14_53 = .;
   IF (QU14_59 <= -1) THEN QU14_59 = .;
   IF (QU14_61 <= -1) THEN QU14_61 = .;
   IF (QU14_62 <= -1) THEN QU14_62 = .;
   IF (QU14_63 <= -1) THEN QU14_63 = .;
   IF (QU14_64 <= -1) THEN QU14_64 = .;
   IF (QU14_69 <= -1) THEN QU14_69 = .;
   IF (QU15 <= -1) THEN QU15 = .;
   IF (QU16 <= -1) THEN QU16 = .;
   IF (QU17 <= -1) THEN QU17 = .;
   IF (QU18 <= -1) THEN QU18 = .;
   IF (QU19 <= -1) THEN QU19 = .;
   IF (QU20_51 <= -1) THEN QU20_51 = .;
   IF (QU20_52 <= -1) THEN QU20_52 = .;
   IF (QU20_53 <= -1) THEN QU20_53 = .;
   IF (QU20_59 <= -1) THEN QU20_59 = .;
   IF (QU20_61 <= -1) THEN QU20_61 = .;
   IF (QU20_62 <= -1) THEN QU20_62 = .;
   IF (QU20_63 <= -1) THEN QU20_63 = .;
   IF (QU20_64 <= -1) THEN QU20_64 = .;
   IF (QU20_69 <= -1) THEN QU20_69 = .;
   IF (QU21 <= -1) THEN QU21 = .;
   IF (QU22 <= -1) THEN QU22 = .;
   IF (QV1 <= -1) THEN QV1 = .;
   IF (QV2 <= -1) THEN QV2 = .;
   IF (QV3_71 <= -1) THEN QV3_71 = .;
   IF (QV3_72 <= -1) THEN QV3_72 = .;
   IF (QV3_73 <= -1) THEN QV3_73 = .;
   IF (QV3_74 <= -1) THEN QV3_74 = .;
   IF (QV3_76 <= -1) THEN QV3_76 = .;
   IF (QV3_79 <= -1) THEN QV3_79 = .;
   IF (QV4 <= -1) THEN QV4 = .;
   IF (QV5 <= -1) THEN QV5 = .;
   IF (QV6 <= -1) THEN QV6 = .;
   IF (QV7 <= -1) THEN QV7 = .;
   IF (QV8 <= -1) THEN QV8 = .;
   IF (QV9_71 <= -1.0) THEN QV9_71 = .;
   IF (QV9_72 <= -1) THEN QV9_72 = .;
   IF (QV9_73 <= -1) THEN QV9_73 = .;
   IF (QV9_74 <= -1) THEN QV9_74 = .;
   IF (QV9_76 <= -1) THEN QV9_76 = .;
   IF (QV9_79 <= -1) THEN QV9_79 = .;
   IF (QV10 <= -1) THEN QV10 = .;
   IF (QV11 <= -1) THEN QV11 = .;
   IF (QV12 <= -1) THEN QV12 = .;
   IF (QW1 <= -1) THEN QW1 = .;
   IF (QW2 <= -1) THEN QW2 = .;
   IF (QW3_31 <= -1) THEN QW3_31 = .;
   IF (QW3_32 <= -1) THEN QW3_32 = .;
   IF (QW3_33 <= -1) THEN QW3_33 = .;
   IF (QW3_34 <= -1) THEN QW3_34 = .;
   IF (QW3_35 <= -1) THEN QW3_35 = .;
   IF (QW3_36 <= -1) THEN QW3_36 = .;
   IF (QW3_39 <= -1) THEN QW3_39 = .;
   IF (QW4 <= -1) THEN QW4 = .;
   IF (QW5 <= -1) THEN QW5 = .;
   IF (QW6 <= -1) THEN QW6 = .;
   IF (QW7 <= -1) THEN QW7 = .;
   IF (QW8 <= -1) THEN QW8 = .;
   IF (QW9_31 <= -1) THEN QW9_31 = .;
   IF (QW9_32 <= -1) THEN QW9_32 = .;
   IF (QW9_33 <= -1) THEN QW9_33 = .;
   IF (QW9_34 <= -1) THEN QW9_34 = .;
   IF (QW9_35 <= -1) THEN QW9_35 = .;
   IF (QW9_36 <= -1) THEN QW9_36 = .;
   IF (QW9_39 <= -1) THEN QW9_39 = .;
   IF (QW10 <= -1) THEN QW10 = .;
   IF (QW11 <= -1) THEN QW11 = .;
   IF (QW12 <= -1) THEN QW12 = .;
   IF (AGE <= -1) THEN AGE = .;
   IF (QAV_AGEG <= -1) THEN QAV_AGEG = .;
   IF (QAV_RACE <= -1) THEN QAV_RACE = .;
   IF (MSTAT <= -1) THEN MSTAT = .;
   IF (QAV_MST <= -1) THEN QAV_MST = .;
   IF (CJ_STAT <= -1) THEN CJ_STAT = .;
   IF (QAV_CJS <= -1) THEN QAV_CJS = .;
   IF (EDLEV <= -1) THEN EDLEV = .;
   IF (QDV_DEG <= -1) THEN QDV_DEG = .;
   IF (QDV_ENRL <= -1) THEN QDV_ENRL = .;
   IF (EMPSTAT <= -1) THEN EMPSTAT = .;
   IF (QHV_EMP <= -1) THEN QHV_EMP = .;
   IF (FTWORK <= -1) THEN FTWORK = .;
   IF (QHV_FTWK <= -1) THEN QHV_FTWK = .;
   IF (MAJSRC <= -1) THEN MAJSRC = .;
   IF (QJV_SRC <= -1) THEN QJV_SRC = .;
   IF (HLTHINS <= -1) THEN HLTHINS = .;
   IF (REFER <= -1) THEN REFER = .;
   IF (RESTRICT <= -1) THEN RESTRICT = .;
   IF (PDT <= -1) THEN PDT = .;
   IF (QMV_DT <= -1) THEN QMV_DT = .;
   IF (DRUGPAT <= -1) THEN DRUGPAT = .;
   IF (QEV_PAT <= -1) THEN QEV_PAT = .;
   IF (QEV_PDRG <= -1) THEN QEV_PDRG = .;
   IF (QEV_NDRG <= -1) THEN QEV_NDRG = .;
   IF (HVY_ALC <= -1) THEN HVY_ALC = .;
   IF (QEV_HALC <= -1) THEN QEV_HALC = .;
   IF (ALCR <= -1) THEN ALCR = .;
   IF (QEV_ALC <= -1) THEN QEV_ALC = .;
   IF (MARR <= -1) THEN MARR = .;
   IF (QEV_MRJ <= -1) THEN QEV_MRJ = .;
   IF (COCR <= -1) THEN COCR = .;
   IF (QEV_COC <= -1) THEN QEV_COC = .;
   IF (COCHX <= -1) THEN COCHX = .;
   IF (QEV_CRK <= -1) THEN QEV_CRK = .;
   IF (HERR <= -1) THEN HERR = .;
   IF (QEV_HER <= -1) THEN QEV_HER = .;
   IF (HERHX <= -1) THEN HERHX = .;
   IF (NARR <= -1) THEN NARR = .;
   IF (QEV_NAR <= -1) THEN QEV_NAR = .;
   IF (SEDR <= -1) THEN SEDR = .;
   IF (QEV_SED <= -1) THEN QEV_SED = .;
   IF (AMPR <= -1) THEN AMPR = .;
   IF (QEV_AMP <= -1) THEN QEV_AMP = .;
   IF (QEV_HAL <= -1) THEN QEV_HAL = .;
   IF (QEV_INJ <= -1) THEN QEV_INJ = .;
   IF (DEP_YR <= -1) THEN DEP_YR = .;
   IF (MH_HOSP <= -1) THEN MH_HOSP = .;
   IF (ASP <= -1) THEN ASP = .;
   IF (DEP <= -1) THEN DEP = .;
   IF (GAD <= -1) THEN GAD = .;
   IF (QFV_SUIC <= -1) THEN QFV_SUIC = .;
   IF (IAPY <= -1) THEN IAPY = .;
   IF (IAY_SIA <= -1) THEN IAY_SIA = .;
   IF (QGV_SIA <= -1) THEN QGV_SIA = .;
   IF (QGV_DR <= -1) THEN QGV_DR = .;
   IF (QGV_DWI <= -1) THEN QGV_DWI = .;
   IF (QGV_NDR <= -1) THEN QGV_NDR = .;
   IF (QGV_JAIL <= -1) THEN QGV_JAIL = .;
   IF (SEXBEH <= -1) THEN SEXBEH = .;
   IF (QLV_SEXB <= -1) THEN QLV_SEXB = .;
   IF (QLV_RSK1 <= -1) THEN QLV_RSK1 = .;
   IF (QLV_RSK2 <= -1) THEN QLV_RSK2 = .;
   IF (QLV_RSK3 <= -1) THEN QLV_RSK3 = .;
   IF (QLV_RSK4 <= -1) THEN QLV_RSK4 = .;
   IF (QLV_RSK5 <= -1) THEN QLV_RSK5 = .;
   IF (QLV_RSK6 <= -1) THEN QLV_RSK6 = .;
*/

RUN ;
